Modify

Opened 4 years ago

Closed 4 years ago

Last modified 4 years ago

#12844 closed defect (othersoftware)

Java Certificate exception - timestamp check failed

Reported by: yves.autran@… Owned by: team
Priority: normal Milestone:
Component: unspecified Version:
Keywords: timestamp Cc:

Description (last modified by Don-vip)

What steps will reproduce the problem?

  1. Set a box from the map
  2. download
  3. Get an error "timestamp check failed"

What is the expected result?

Loading the data

What happens instead?

Get an error "timestamp check failed"

Please provide any additional information below. Attach a screenshot if possible.

I get this Warning when starting josm from a terminal window:

WARNING: org.openstreetmap.josm.io.OsmTransferException: Could not connect to the OSM server. Please check your internet connection.. 
Cause: javax.net.ssl.SSLHandshakeException: sun.security.validator.ValidatorException: PKIX path validation failed: java.security.cert.CertPathValidatorException: timestamp check failed. 
Cause: sun.security.validator.ValidatorException: PKIX path validation failed: java.security.cert.CertPathValidatorException: timestamp check failed. 
Cause: java.security.cert.CertPathValidatorException: timestamp check failed. 
Cause: java.security.cert.CertificateExpiredException: NotAfter: Sun May 15 22:29:27 CEST 2016
org.openstreetmap.josm.io.OsmTransferException: Could not connect to the OSM server. Please check your internet connection.

Yves Autran

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-05-02 10:23:17 +0200 (Mon, 02 May 2016)
Build-Date:2016-05-03 01:31:45
Revision:10168
Relative:URL: ^/trunk

Identification: JOSM/1.5 (10168 en) Linux Ubuntu 15.10
Memory Usage: 549 MB / 1778 MB (193 MB allocated, but free)
Java version: 1.8.0_91-b14, Oracle Corporation, Java HotSpot(TM) Server VM

Plugins:
- Mapillary (32040)
- apache-commons (31895)
- apache-http (31895)
- buildings_tools (31895)
- cadastre-fr (32060)
- ejml (31895)
- geotools (31895)
- jts (31772)

Last errors/warnings:
- W: org.openstreetmap.josm.io.OsmTransferException: Could not connect to the OSM server. Please check your internet connection.. Cause: javax.net.ssl.SSLHandshakeException: sun.security.validator.ValidatorException: PKIX path validation failed: java.security.cert.CertPathValidatorException: timestamp check failed. Cause: sun.security.validator.ValidatorException: PKIX path validation failed: java.security.cert.CertPathValidatorException: timestamp check failed. Cause: java.security.cert.CertPathValidatorException: timestamp check failed. Cause: java.security.cert.CertificateExpiredException: NotAfter: Sun May 15 22:29:27 CEST 2016
- W: javax.net.ssl.SSLHandshakeException: sun.security.validator.ValidatorException: PKIX path validation failed: java.security.cert.CertPathValidatorException: timestamp check failed. Cause: sun.security.validator.ValidatorException: PKIX path validation failed: java.security.cert.CertPathValidatorException: timestamp check failed. Cause: java.security.cert.CertPathValidatorException: timestamp check failed. Cause: java.security.cert.CertificateExpiredException: NotAfter: Sun May 15 22:29:27 CEST 2016
- E: javax.net.ssl.SSLHandshakeException: sun.security.validator.ValidatorException: PKIX path validation failed: java.security.cert.CertPathValidatorException: timestamp check failed. Cause: sun.security.validator.ValidatorException: PKIX path validation failed: java.security.cert.CertPathValidatorException: timestamp check failed. Cause: java.security.cert.CertPathValidatorException: timestamp check failed. Cause: java.security.cert.CertificateExpiredException: NotAfter: Sun May 15 22:29:27 CEST 2016
- E: org.openstreetmap.josm.io.OsmTransferException: Could not connect to the OSM server. Please check your internet connection.. Cause: javax.net.ssl.SSLHandshakeException: sun.security.validator.ValidatorException: PKIX path validation failed: java.security.cert.CertPathValidatorException: timestamp check failed. Cause: sun.security.validator.ValidatorException: PKIX path validation failed: java.security.cert.CertPathValidatorException: timestamp check failed. Cause: java.security.cert.CertPathValidatorException: timestamp check failed. Cause: java.security.cert.CertificateExpiredException: NotAfter: Sun May 15 22:29:27 CEST 2016
- E: IO Exception - <html>Failed to upload data to or download data from<br>'https://api.openstreetmap.fr/api/0.6/map?bbox=4.5150375,45.5465146,4.5298004,45.5539677'<br>due to a problem with transferring data.<br>Details (untranslated): sun.security.validator.ValidatorException: PKIX path validation failed: java.security.cert.CertPathValidatorException: timestamp check failed</html>

Attachments (0)

Change History (6)

comment:1 Changed 4 years ago by Don-vip

Description: modified (diff)
Summary: Java Certificate exceptionJava Certificate exception - timestamp check failed

comment:2 Changed 4 years ago by Don-vip

Are you using official OSM API or OSM-FR instance?

comment:3 Changed 4 years ago by Don-vip

Resolution: othersoftware
Status: newclosed

Certificate of https://api.openstreetmap.fr/api has expired. You must switch to either:

until the certificate is renewed

comment:5 Changed 4 years ago by Don-vip

In 10226/josm:

see #12844 - display which OSM API is used in status report

comment:6 Changed 4 years ago by yves.autran@…

many thanks for your help Don-vip.

Yves

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.